class Array
  def rand_index
    rand( size )
  end
end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCArray < Test::Unit::TestCase

    def test_rand_index
      10.times {
        i = [1,2,3].rand_index
        assert( (0..2).include?(i) )
      }
    end

  end

=end
